Announcements
IMPORTANT: Cypress Developer Community is transitioning on October 20th. To learn more and be prepared for this change, check out our latest announcement.
cancel
Showing results for 
Search instead for 
Did you mean: 

USB Superspeed Peripherals

MaMa_4034336
New Contributor II

Hi,

I'm just got the FX3 SUPERSPEED EXPLORER KIT. Now to test the board I followed the instruction on the "Getting_Started_with_EZ-USB_FX3". However when i try to build any of the exisiting Firmaware Project i get the Error: "

Description    Resource    Path    Location    Type

cs-make: *** [cyfx_gcc_startup.o] Error 1    USBBulkLoopAuto             C/C++ Problem

"

The console logs are

"

14:26:22 **** Incremental Build of configuration Debug for project USBBulkLoopAuto ****

cs-make all

'Building file: ../cyfx_gcc_startup.S'

'Invoking: Cross ARM GNU Assembler'

arm-none-eabi-gcc -mcpu=arm926ej-s -marm -mthumb-interwork -O0 -fmessage-length=0 -fsigned-char -ffunction-sections -fdata-sections -Wall  -g3 -x assembler-with-cpp -I"C:\Program Files (x86)\Cypress\EZ-USB FX3 SDK\1.3\/fw_lib/1_3_4/inc" -MMD -MP -MF"cyfx_gcc_startup.d" -MT"cyfx_gcc_startup.o" -c -o "cyfx_gcc_startup.o" "../cyfx_gcc_startup.S"

The current directory is invalid.

cs-make: *** [cyfx_gcc_startup.o] Error 1

14:26:25 Build Finished (took 2s.775ms)

"

I installed both EZ-USB FX3 SDK 1.3.3 and Superspeed Explorer Kit Rev (both with the complete setting chosen) but it doesn't work.

Could you please help to solve my problem ?

EDIT:

I found the Problem.

For everyone who has the same Problem. When you import the Project you have to select in the menu to copy the Project into workspace.

pastedImage_0.png

0 Likes
1 Solution
YangyangC_06
Employee

Hi Matthias,

You have two solutions.

  1. Install FX3 SDK v1.3.4 and rebuild this project.
  2. Change the value of FX3SDKVERSION from 1_3_4 to 1_3_3. Then rebuild this project without installing SDK v1.3.4

BaiduShurufa_2019-2-14_9-10-0.bmp

View solution in original post

0 Likes
2 Replies
abhinavg_21
Moderator
Moderator

Hi Matthias,

Please install FX3 SDK 1.3.4 instead of FX3 SDK 1.3.3 from the following path:

https://www.cypress.com/documentation/software-and-drivers/ez-usb-fx3-software-development-kit

Thanks & Regards

Abhinav Garg

0 Likes
YangyangC_06
Employee

Hi Matthias,

You have two solutions.

  1. Install FX3 SDK v1.3.4 and rebuild this project.
  2. Change the value of FX3SDKVERSION from 1_3_4 to 1_3_3. Then rebuild this project without installing SDK v1.3.4

BaiduShurufa_2019-2-14_9-10-0.bmp

View solution in original post

0 Likes